name: safe_rl_benchmark
channels:
  - conda-forge
dependencies:
  - pip>=22.0.4
  - python=3.8
  - setuptools==65.5.0
  - wheel=0.38.4  # Fix for Issue #160: https://github.com/openai/gym/issues/3202#issuecomment-1513593788
  - pip:
    # works for regular pip packages
    - numpy<=1.23.4
    - stable-baselines3==1.5.0
    - pypoman==0.5.4
    - joblib==1.1.0
    - cvxopt==1.3.0
    - tensorboard==2.10.0
    - pytest==7.1.1
    - scipy==1.8.0
    - pyyaml==6.0
    - optuna==2.10
    - plotly==5.9.0
    - cvxpy[GUROBI]>=1.3.2
